Bug 1024043 - Review Request: python-arrow - Better dates and times for Python
Review Request: python-arrow - Better dates and times for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 12:34 EDT by Pierre-YvesChibon
Modified: 2013-12-17 14:09 EST (History)
2 users (show)

See Also:
Fixed In Version: python-arrow-0.4.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 17:57:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2013-10-28 12:34:07 EDT
Spec URL: http://pingou.fedorapeople.org//python-arrow.spec
SRPM URL: http://pingou.fedorapeople.org//python-arrow-0.4.1-1.fc19.src.rpm

Description:
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.
Simply put, it helps you work with dates and times with fewer imports and a lot
less code.
Comment 1 Pierre-YvesChibon 2013-10-28 12:34:13 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6107669
Comment 2 Ralph Bean 2013-10-28 14:50:32 EDT
Pierre -- only one "should" issue.  I know the tests are non-standard, but if you could get them running in the spec file, that would be best.

Other than that -- *PACKAGE IS APPROVED*.

Package Review
==============

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck in /home/threebean/1024043-python-arrow/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-arrow
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-arrow-0.4.1-1.fc18.noarch.rpm
          python3-arrow-0.4.1-1.fc18.noarch.rpm
          python-arrow-0.4.1-1.fc18.src.rpm
python-arrow.noarch: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python-arrow.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python-arrow.noarch: W: no-documentation
python3-arrow.noarch: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python3-arrow.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python3-arrow.noarch: W: no-documentation
python-arrow.src: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python-arrow.src: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python-arrow.src:78: W: macro-in-comment %doc
python-arrow.src:84: W: macro-in-comment %doc
3 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-arrow python-arrow
python3-arrow.noarch: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python3-arrow.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python3-arrow.noarch: W: no-documentation
python-arrow.noarch: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
python-arrow.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python-arrow.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-arrow (rpmlib, GLIBC filtered):
    python(abi)

python-arrow (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-arrow:
    python3-arrow

python-arrow:
    python-arrow



Source checksums
----------------
http://pypi.python.org/packages/source/a/arrow/arrow-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : c9c581e431d05ad2aef0f28d4dc3562aa109f3cb65e48c6b722bd6d28286564f
  CHECKSUM(SHA256) upstream package : c9c581e431d05ad2aef0f28d4dc3562aa109f3cb65e48c6b722bd6d28286564f


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1024043
Buildroot used: fedora-18-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Pierre-YvesChibon 2013-10-28 16:26:06 EDT
Thanks Ralph for the review, I will look at the unit-tests and see if I can activate them during the build (maybe I can figure something and push it upstream).
Comment 4 Pierre-YvesChibon 2013-10-28 16:26:41 EDT
New Package SCM Request
=======================
Package Name: python-arrow
Short Description: Better dates and time for Python
Owners: pingou
Branches: F19 F20 EPEL6
InitialCC:
Comment 5 Pierre-YvesChibon 2013-10-28 16:27:08 EDT
New Package SCM Request
=======================
Package Name: python-arrow
Short Description: Better dates and time for Python
Owners: pingou
Branches: f19 f20 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-10-29 07:58:50 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-11-27 07:52:01 EST
python-arrow-0.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-arrow-0.4.2-1.fc19
Comment 8 Fedora Update System 2013-11-27 07:52:12 EST
python-arrow-0.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-arrow-0.4.2-1.fc20
Comment 9 Fedora Update System 2013-11-27 11:14:42 EST
python-arrow-0.4.2-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-12-16 17:57:48 EST
python-arrow-0.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-12-17 14:09:20 EST
python-arrow-0.4.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.